<script setup>
import { CreatePage } from '@/app/core/pages/crud';
import model from '@/modules/questions/models/questions_answers';

import PageTitle from '@/app/components/blocks/PageTitle.vue';
import Buttons from '@/app/components/crud/form/_Buttons.vue';
import Create from '@/app/components/crud/Create.vue';
</script>

<script>
export default {
    data() {
        return new CreatePage({
            context: this,
            title: this.__('Создание'),
            breadcrumbs: [
                {
                    label: this.__('Ответы'),
                    path: 'questions/answers',
                },
            ],
            model: model,
            http: {
                method: 'POST',
                path: 'questions/answers',
            },
            redirectPath: 'questions/answers',
        });
    },
};
</script>

<template>
    <PageTitle :text="title">
        <Buttons />
    </PageTitle>

    <Create />
</template>
